// STYLE CONTACT

// IMPORT
@import "./contact-anim";

// UNIVERSEL
.container {

    // WRAPPER
    .contact-wrapper {
        position       : relative;
        display        : flex;
        flex-wrap      : wrap;
        flex-direction : row;
        justify-content: space-around;
        width          : 95%;
        max-width      : 1024px;
        margin         : 8rem 0;

        @include tablet {
            margin: 6rem 0;
        }

        // CONTACT LINKS
        .contact-right {
            width     : 45%;
            padding   : 1rem;
            margin-top: 8rem;

            @include tablet {
                width     : 100%;
                margin-top: 4rem;
            }

            @include mobile {
                margin-top: 1rem;
            }

            // GITLAB + LINKEDIN
            .contact-box-top {
                display        : flex;
                flex-wrap      : wrap;
                flex-direction : row;
                justify-content: center;

                #gitlab {
                    opacity: 0;
                    padding: 1rem;

                    @include mobile {
                        opacity: 1;
                    }

                    &.active {
                        opacity  : 1;
                        animation: 1250ms ease-out contact;
                    }
                }
                
                #linkedin {
                    opacity: 0;
                    padding: 1rem;

                    @include mobile {
                        opacity: 1;
                    }

                    &.active {
                        opacity  : 1;
                        animation: 1000ms ease-out contact;
                    }
                }
            }

            // MAIL + PHONE
            .contact-box-bottom {
                display        : flex;
                flex-wrap      : wrap;
                flex-direction : row;
                justify-content: center;

                #email {
                    opacity: 0;
                    padding: 1rem;

                    @include mobile {
                        opacity: 1;
                    }

                    &.active {
                        opacity  : 1;
                        animation: 750ms ease-out contact;
                    }

                    path {
                        fill: $second;
                    }
                }
                
                #phone {
                    opacity: 0;
                    padding: 1rem;

                    @include mobile {
                        opacity: 1;
                    }

                    &.active {
                        opacity  : 1;
                        animation: 500ms ease-out contact;
                    }

                    path {
                        fill: $second;
                    }
                }
            }
        }

        // TEXT BG
        #contact-bg {
            top: -70px;
        }
    }
}